import ast

def load(configFilePath):
	configDataFile = open(configFilePath,'r')
	configData = configDataFile.readlines()
	optionsKeys = list()
	optionsValues = list()
	for line in configData:
	    if line[0] == '#' or not line.strip():
	        continue
	    cleanLine = line.strip()
	    splitLine = cleanLine.split(' ')
	    optionsKeys.append(splitLine[0])
	    value = splitLine[1]
	    try:
	        optionsValues.append(ast.literal_eval(value))
	    except ValueError:
	        optionsValues.append(value)
	    except SyntaxError:
	        optionsValues.append(value)
	optimizeDockOptions = dict(zip(optionsKeys,optionsValues))
	load.optimizeDockOptions = optimizeDockOptions
