import rotamer

AANames = ['VAL','LEU','ILE','MET','PHE','TRP','PRO','SER','THR',\
'CYS','TYR','ASN','GLN','ASP','GLU','LYS','ARG','HIS']

#Nonrotamers: 'GLY','ALA',
angles = range(-180,190,10)
cutoffs = [1e-1, 1e-2, 1e-3, 1e-4, 1e-5, 1e-6]
def testRotamer():
	for AA in AANames:
		for phi in angles:
			for psi in angles:
				for cutoff in cutoffs:
					try:
						myRotamer = rotamer.Rotamer(AA,phi,psi,cutoff)
					except IndexError:
						return (AA,phi,psi,cutoff)
					for i in range(3):
						myRotamer.sample()
						for j in range(3):
							rotamer.wiggle(myRotamer.sampledState)
